python-louis_3.0.0-3ubuntu1_all.deb


Advertisement

Description

python-louis - Python bindings for liblouis

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-louis
Package version 3.0.0
Package release 3ubuntu1
Package architecture all
Package type deb
Installed size 36 B
Download size 6.09 KB
Official Mirror archive.ubuntu.com
Liblouis is a braille translator and back-translator.  It features support for
computer and literary braille, supports contracted and uncontracted translation
for many languages and has support for hyphenation.  Liblouis also supports
math braille (Nemeth and Marburg).
This package contains Python bindings.

Alternatives

Package Version Architecture Repository
python-louis_3.0.0-3ubuntu1.2_all.deb 3.0.0 all Ubuntu Updates Universe
python-louis_3.0.0-3ubuntu1.2_all.deb 3.0.0 all Ubuntu Updates Universe
python-louis_3.0.0-3ubuntu1_all.deb 3.0.0 all Ubuntu Universe
python-louis - - -

Requires

Name Value
liblouis12 >= 3.0.0-3ubuntu1
python:any << 2.8
python:any >= 2.7.5-5~

Provides

Name Value
python2.7-louis -

Download

Type URL
Binary Package python-louis_3.0.0-3ubuntu1_all.deb
Source Package liblouis

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-louis deb package:
    # sudo apt-get install python-louis

Files

Path
/usr/lib/python2.7/dist-packages/louis-3.0.0.egg-info
/usr/lib/python2.7/dist-packages/louis/__init__.py
/usr/share/doc/python-louis/changelog.Debian.gz
/usr/share/doc/python-louis/copyright

Changelog

2017-09-04 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
liblouis (3.0.0-3ubuntu1) artful; urgency=medium
* SECURITY UPDATE: Illegal address access in getALine
- debian/patches/CVE-2017-13738-and-2017-13744.patch: fix
possible out-of-bounds write in liblouis/compileTranslationTable.c.
- CVE-2017-13738
- CVE-2017-13744
* SECURITY UPDATE: heap-based buffer overflow
- debian/patches/CVE-2017-13739-and-2017-13740-and-2017-13742.patch:
fix buffer overflow parsing malformed table in
liblouis/compilerTranslationTable.c.
- CVE-2017-13739
- CVE-2017-13740
- CVE-2017-13742
2016-09-14 - Samuel Thibault <sthibault@debian.org>
liblouis (3.0.0-3) unstable; urgency=medium
* Upload to unstable.
2016-09-10 - Samuel Thibault <sthibault@debian.org>
liblouis (3.0.0-2) experimental; urgency=medium
* control: Make sure to have a recent-enough automake to run yaml tests.
2016-09-05 - Samuel Thibault <sthibault@debian.org>
liblouis (3.0.0-1) experimental; urgency=medium
* New upstream release.
- patches/check_yaml: Remove, merged upstream.
- control, liblouis10.install: Rename liblouis10 package to liblouis12
according to upstream soname bump.
2016-07-15 - Samuel Thibault <sthibault@debian.org>
liblouis (2.6.5-1) unstable; urgency=medium
* New upstream release.
- rename liblouis9 package to liblouis10 according to upstream soname
bump.
* compat: Bump to 9.
* rules: Clear.
* control:
- add dh-python build-dep.
- Bump Standards-Version to 3.9.8 (no change).
- Update upstream URL.
* watch: Update.
* patches/check_yaml: Backport upstream patch to fix crashes in testsuite.
* rules: Make testsuite failure fatal again.
2015-10-27 - Samuel Thibault <sthibault@debian.org>
liblouis (2.6.4-2) unstable; urgency=medium
* Upload to unstable.
2015-10-24 - Samuel Thibault <sthibault@debian.org>
liblouis (2.6.4-1) experimental; urgency=medium
* New upstream release.
- Rename liblouis2 package into liblouis9 according to soname bump.
- control: Add libyaml-dev build dependency.
* control: Drop multiarch-support pre-depend.
* patches/git-a8375da: Merged upstream.
2015-07-07 - Samuel Thibault <sthibault@debian.org>
liblouis (2.6.2-2) unstable; urgency=medium
* patches/git-a8375da: Fix build with makeinfo >= 6 (Closes: #790649).
2014-09-19 - Samuel Thibault <sthibault@debian.org>
liblouis (2.6.2-1) unstable; urgency=medium
* New upstream release.
* Bump Standards-Version to 3.9.6 (no changes).
* watch: Add new upstream URL.
2014-06-24 - Samuel Thibault <sthibault@debian.org>
liblouis (2.5.3-3) unstable; urgency=low
[ Samuel Thibault ]
* Bump Standards-Version to 3.9.5 (no changes).
[ Erwan Prioul ]
* rules: Use dh_autoreconf (Closes: Bug#752526).

See Also

Package Description
python-ltsp_0.2-0ubuntu3_all.deb provides ltsp related functions
python-lua_0.3-1.1_all.deb library for using lua scripts from python
python-lucene_4.10.1+dfsg-2_i386.deb Python extension for accessing Java Lucene
python-lunar_2.0.1-3_i386.deb Python bindings for the Chinese Lunar library
python-lunch_0.4.0-2_all.deb distributed process launcher
python-lvm2_2.02.168-2ubuntu3_i386.deb LVM2 application library - Python 2 binding
python-lxc_0.1-3_i386.deb Linux Containers userspace tools (Python 2.x bindings)
python-ly-doc_0.9.5-1_all.deb Tool and library for manipulating LilyPond files (documentation)
python-ly_0.9.5-1_all.deb Tool and library for manipulating LilyPond files (Python 2)
python-lz4_0.8.2+dfsg-2build2_i386.deb Python interface to the lz4 compression library
python-lzma_0.5.3-3_i386.deb Python bindings for liblzma
python-lzo_1.08-1_i386.deb Python bindings for the LZO data compression library
python-m2crypto_0.24.0-2_i386.deb Python wrapper for the OpenSSL library
python-m2ext_0.1-1.1_i386.deb Extensions to the M2Crypto Python package
python-m3u8_0.3.2-2_all.deb Python m3u8 parser - Python 2.x
Advertisement
Advertisement